Bug 851489 - JBPM-3679 Problem with subprocesses embedded in multi-instance nodes
JBPM-3679 Problem with subprocesses embedded in multi-instance nodes
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Maciej Swiderski
Marek Baluch
:
Depends On:
Blocks: 882823
  Show dependency treegraph
 
Reported: 2012-08-24 06:10 EDT by Maciej Swiderski
Modified: 2015-06-01 21:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Process instances were locking after sub-processes completed because the parent process was not updated by the sub-process. This has been resolved by ensuring the parent process instance is also updated. Process instances are no longer locking and are able to continue.
Story Points: ---
Clone Of:
: 882823 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
standalone maven reproducer (13.26 KB, application/x-zip-compressed)
2012-09-19 09:05 EDT, Jiri Svitak
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPM-3679 Major Resolved Problem with subprocesses embedded in multi-instance nodes 2016-12-20 09:54 EST

  None (edit)
Description Maciej Swiderski 2012-08-24 06:10:54 EDT
Description of problem:
backport of https://issues.jboss.org/browse/JBPM-3679 parent process instance is not updated when timer fires on subprocess

Version-Release number of selected component (if applicable):

  
Actual results:
when subprocess contains timer which leads to an end of subprocess parent process with not get notification of event processInstanceCompleted

Expected results:
Parent process should be resumed as soon as subprocess is completed event with timers

Additional info:
Comment 1 Maciej Swiderski 2012-08-24 06:48:30 EDT
backported to 5.2.x branch
Comment 2 Jiri Svitak 2012-09-19 09:05:00 EDT
Created attachment 614368 [details]
standalone maven reproducer

Verified in BRMS 5.3.1 ER1. The process reproducer from the JIRA worked fine.

However I was unable to reproduce original problem with BRMS 5.3.0 GA and P01. The original JIRA issue was reported with jBPM 5.3, but BRMS 5.3 is based on jBPM 5.2. So it's possible that this was not broken in BRMS and need not to be backported.

Maciej, could you please try to reproduce this issue with BRMS 5.3.0 P01 to exclude possibility that I missed something?
Attaching my standalone maven reproducer. To run use:
mvn clean test -Dtest=MultiInstanceSubprocessTimerEventTest
Comment 3 Maciej Swiderski 2012-09-26 01:41:47 EDT
Jiri, this issue was only reproducable on JBoss AS 7.1.1 so I think it could be worth verifying on EAP 6 whenever we support brms on it.

See comment in jira (it was not reproduced as unit test nor on AS 7.0.2)
Comment 4 Jiri Svitak 2012-09-26 11:46:17 EDT
Thanks for the reply. Returning to ON_QA and I'll try to reproduce and verify this issue against supported EAP 6.
Comment 5 Jiri Svitak 2012-10-10 09:56:40 EDT
Verified in BRMS 5.3.1 ER3.
Comment 6 lcarlon 2012-10-22 23:33:48 EDT
Hi Maciej,

I've updated the doc text for inclusion in the release notes, please take a look at the doc text to check I have the issue described correctly.

thanks
Lee
Comment 7 Maciej Swiderski 2012-10-23 05:51:40 EDT
Lee, doc text provides all information that are relevant. Thanks

Note You need to log in before you can comment on or make changes to this bug.